# batch.maxsize

Limits how many messages omhttp includes in a batch.

This parameter applies to omhttp: HTTP Output Module.

Name:

  batch.maxsize

Scope:

  input

Type:

  Size

Default:

  input=100

Required?:

  no

Introduced:

  Not specified

## Description

This parameter specifies the maximum number of messages that will be sent in each batch.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        batch="on"
        batchMaxSize="200"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.